LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Newbie (http://www.linuxquestions.org/questions/linux-newbie-8/)
-   -   mplayer cannot play audio (asf) and wmv in firefox (http://www.linuxquestions.org/questions/linux-newbie-8/mplayer-cannot-play-audio-asf-and-wmv-in-firefox-157143/)

caneforever97 03-13-2004 12:50 PM

mplayer cannot play audio (asx) and wmv in firefox
 
Hi,
I am running RedHat 9.0 and I am having problems playing asx (internet radio) and wmv (video) files. I am using Firefox as my default browser and I do not have mozilla installed. When I click on the internet radio station link, firefox asks me if I want to save the file. I am not sure if my plug-ins are installed properly. I used apt to install mplayer.

How do I check to see if mplayer and plug-ins are installed correctly ? Also, how can I get the internet radio and movie files to play using mplayer ? I am not sure what to look for and how to fix this. :(

randomblast 03-13-2004 01:01 PM

AFAIK, mplayer doesn't have a netscape plugin as standard, but a quick google search shows a wrapper called plugger.

caneforever97 03-13-2004 03:32 PM

Hi,
Thanks for your reply. I downloaded the plugger and it needed the gcc. I installed it and I did a make linux. I got these messages below. Is there anything else that I need to do ? Thanks.

make all CC=gcc XCFLAGS=-fpic LD=gcc XLDFLAGS=-shared X11=/usr/X11R6/
make[1]: Entering directory `/tmp/plugger-5/plugger-5.0'
gcc -c -O -Ipluginsdk/include -I/usr/X11R6//include -DXP_UNIX -DVERSION=\"5.0\" -fpic -o plugger.o plugger.c
In file included from plugger.c:31:
pluginsdk/include/npapi.h:129:22: X11/Xlib.h: No such file or directory
In file included from plugger.c:31:
pluginsdk/include/npapi.h:148: parse error before "Display"
pluginsdk/include/npapi.h:148: warning: no semicolon at end of struct or union
pluginsdk/include/npapi.h:149: warning: data definition has no type or storage class
pluginsdk/include/npapi.h:150: parse error before "colormap"
pluginsdk/include/npapi.h:150: warning: data definition has no type or storage class
pluginsdk/include/npapi.h:152: parse error before '}' token
pluginsdk/include/npapi.h:152: warning: data definition has no type or storage class
plugger.c:36:19: X11/X.h: No such file or directory
plugger.c:37:21: X11/Xos.h: No such file or directory
plugger.c:38:27: X11/

caneforever97 03-13-2004 03:36 PM

plugger.c:39:23: X11/Xatom.h: No such file or directory
plugger.c:65: parse error before "Display"
plugger.c:65: warning: no semicolon at end of struct or union
plugger.c:99: parse error before '}' token
plugger.c: In function `my_fork':
plugger.c:191: dereferencing pointer to incomplete type
plugger.c:206: dereferencing pointer to incomplete type
plugger.c: In function `run':
plugger.c:248: dereferencing pointer to incomplete type
plugger.c:249: dereferencing pointer to incomplete type
plugger.c:250: dereferencing pointer to incomplete type
plugger.c:251: dereferencing pointer to incomplete type
plugger.c:252: dereferencing pointer to incomplete type
plugger.c:253: dereferencing pointer to incomplete type
plugger.c:254: dereferencing pointer to incomplete type
plugger.c:255: dereferencing pointer to incomplete type
plugger.c:261: dereferencing pointer to incomplete type
plugger.c:262: dereferencing pointer to incomplete type
plugger.c:263: dereferencing pointer to incomplete type
plugger.c:267: dereferencing

axlotl 03-14-2004 03:13 PM

mplayer plugin
 
There is most certainly a browser plugin for mplayer, and it works great.
http://mplayerplug-in.sourceforge.net/

You need mplayer installed, of course.

CyberB0b 03-22-2004 10:46 AM

...and once the mplayer plugin works you might need some mplayer codecs to play the wmv files, especially wmv9

http://www.mplayerhq.hu/homepage/design6/dload.html

download the all-in-one codecs (extralite), unzip and put in /usr/lib/win32

Marc A 03-22-2004 11:09 AM

When everything is installed, there is in firefox: edit/preference/ helper application where you can specify wich app you want used for wich file.

Marc A

007james 04-22-2004 07:02 PM

Try installing this to firefox http://texturizer.net/firefox/extensions/
down to configuration then add "things they left out" it will add "more options" to the tools menu, then you can add new extensions, this is for Fedora Linix, not sure about other os's

randomblast 04-23-2004 12:45 PM

in reply to your last 2 messages, caneforever97, you need the X11 development tools as well.


All times are GMT -5. The time now is 01:44 AM.